Bug Hunting Session
Bug 93569 - Linux: no save on crash
Summary: Linux: no save on crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-08-21 08:51 UTC by Michael Meeks
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-08-21 08:51:33 UTC
I guess this got twisted up somehow.
Comment 1 Michael Meeks 2015-08-21 08:52:20 UTC
NB. to test with dbgutil you need to have this:

--- a/sal/osl/unx/signal.cxx
+++ b/sal/osl/unx/signal.cxx
@@ -209,8 +209,8 @@ static bool InitSignal()
         bSetILLHandler = true;
     }
 
-#ifdef DBG_UTIL
-    bSetSEGVHandler = bSetWINCHHandler = bSetILLHandler = false;
+#if 1 // def DBG_UTIL SAL_DEBUG
+    bSetSEGVHandler = bSetWINCHHandler = bSetILLHandler = true;
 #endif
 
     SignalListMutex = osl_createMutex();

It is a feature to not have a segv handler when in dbgutil mode it seems =)
Comment 2 Michael Meeks 2015-08-21 09:01:05 UTC
Patch here:
 https://gerrit.libreoffice.org/17889 tdf#93569 - restore ACT_ABORT distinction.

I guess pkill -SEGV soffice.bin simulates it quite nicely.
Comment 3 Commit Notification 2015-08-21 11:04:03 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61c0c81caeb97dad0ed5bd201d06ad4e27f618c2

tdf#93569 - restore ACT_ABORT distinction.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-08-25 08:03:18 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5cc5bb38445c9b0acf33b463d722b504ac84df6&h=libreoffice-5-0

tdf#93569 - restore ACT_ABORT distinction.

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.